*
* $Id: get_mater_file.F,v 1.1 1995/09/05 13:17:51 zfiles Exp $
*
* $Log: get_mater_file.F,v $
* Revision 1.1  1995/09/05 13:17:51  zfiles
* New. Forgot to add before.
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : get_mater_file
C     Purpose : Read materials description from ascii file.
C               Can be used outside of clever ( ie in a driver job ).
C     
C
C     Modifications:
C
C
C
      subroutine get_mater_file
      
      implicit none
      
#include "klmn/klmnseq/chamber_n.inc"
#include "klmn/klmnseq/wafer_n.inc"
#include "klmn/klmnseq/vol.inc"
#include "klmn/klmnseq/cleofitcom.inc"
#include "klmn/klmnseq/mater_prop.inc"
      
      integer i,j,k
      
      cham_svx_n=19
      cham_svx_level=4
      
      
      read (85,*) ncham
      
c     print *,"Will read cham"
      
      do 5000,i=1,ncham
         
         read (85,*) vol_num_cham(i)
         read (85,*) level_cham(i)
         read (85,*) n_daugther_cham(i)
         read (85,*) daugther_cham(i)
         read (85,*) parent_cham(i)
         read (85,*) itrans_cham(i) 
         
         read (85,*) x_cham(1,i)
         read (85,*) x_cham(2,i)
         read (85,*) x_cham(3,i)
         
         read (85,*) rot_cham(1,1,i)
         read (85,*) rot_cham(1,2,i)
         read (85,*) rot_cham(1,3,i)
         read (85,*) rot_cham(2,1,i)
         read (85,*) rot_cham(2,2,i)
         read (85,*) rot_cham(2,3,i)
         read (85,*) rot_cham(3,1,i)
         read (85,*) rot_cham(3,2,i)
         read (85,*) rot_cham(3,3,i)
         
         read (85,*) rmin_cham(i)
         read (85,*) rmax_cham(i)
         
c     rmin_cham(i)=0.0     
c     rmax_cham(i)=100.0     
         
         read (85,8888) name_cham(i)
         
 8888    format(1X,A4)
         
 5000 continue
      
      nwaf=0
      
      read (85,*) nwaf
      
      
      do 5010,i=1,nwaf
         
         read (85,*) vol_num_waf(i)
         read (85,*) level_waf(i)
         read (85,*) n_daugther_waf(i)
         read (85,*) daugther_waf(i)
         read (85,*) parent_waf(i)
         
         read (85,*) x_waf(1,i)
         read (85,*) x_waf(2,i)
         read (85,*) x_waf(3,i)
         
         read (85,*) rot_waf(1,1,i)
         read (85,*) rot_waf(1,2,i)
         read (85,*) rot_waf(1,3,i)
         read (85,*) rot_waf(2,1,i)
         read (85,*) rot_waf(2,2,i)
         read (85,*) rot_waf(2,3,i)
         read (85,*) rot_waf(3,1,i)
         read (85,*) rot_waf(3,2,i)
         read (85,*) rot_waf(3,3,i)
         
         read (85,*) rmin_waf(i)
         read (85,*) rmax_waf(i)
         
         rmin_waf(i)=0.0     
         rmax_waf(i)=100.0     
         
         
         read (85,8567) name_waf(i)
 8567    format(1X,A4)
 5010 continue
      
c     print *,"Will read vol"
      
      read (85,*) nvol
      
      do 5020,i=1,nvol
         
         read (85,*) mattype(i)
         read (85,*) mattype_n(i)
         
         read (85,*) npar_vol(i)
         
         do 5011,j=1,npar_vol(i)
            read (85,*) par_vol(i,j)
 5011    continue
         
         read (85,8567) vol_name(i)
         read (85,8567) vol_type(i)
         read (85,*) vol_is(i)
         
 5020 continue
      
c     print *,"Will read elow_t"
      
      do 5025,i=1,90
         
         read (85,*) elow_t(i)
         
 5025 continue
      
c     print *,"Will read mat"
      
      read (85,*) num_mat
      
      do 5030,i=1,num_mat
         
         read (85,*) mater_prop_a(i)
         read (85,*) mater_prop_z(i)
         read (85,*) mater_prop_dens(i)
         read (85,*) mater_prop_radl(i)
         read (85,*) mater_prop_chc(i)
         
c     print *,'a,z,dens,radl,chc:'
c     print *,mater_prop_a(i)
c     print *,mater_prop_z(i)
c     print *,mater_prop_dens(i)
c     print *,mater_prop_radl(i)
c     print *,mater_prop_chc(i)
         
         do 5035,j=1,90
            do 5036,k=1,6
               
               read (85,*) par_eloss(k,j,i)
               read (85,*) par_stopr(k,j,i)
               read (85,*) par_xcoef1(k,j,i)
               read (85,*) par_xcoef2(k,j,i)
               read (85,*) par_xcoef3(k,j,i)
               
 5036       continue
 5035    continue
         
         read (85,8753) mater_name(i)
c     print *,mater_name(i)
 8753    format(1X,A20)
 5030 continue
      end










