*
* $Id: in_pcon.F,v 1.3 1995/08/29 17:35:15 zfiles Exp $
*
* $Log: in_pcon.F,v $
* Revision 1.3  1995/08/29 17:35:15  zfiles
* Compatibility with AIX
*
* Revision 1.2  1995/08/29  13:28:37  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : in_pcon
C     Purpose : to check if x is in chamber volume ivol
C     
C
C     Modifications:
C
C
C

      logical function in_pcon(ivol,x)


      implicit none

#include "klmn/klmnseq/vol.inc"

      integer in_out_list(10),n_inter,n_inter_cone
      real s_list(10)
      integer n_inter_temp

      real s_list_temp(10),s_list_cone(10)

      real s1,s2,x(3)

      real r1,r2,r    

      real z1,z2,rmin1,rmin2,rmax1,rmax2

      real s(4),in_out(4),vxy2,vx,q2,smin,lmin

      logical bubble
   
      integer j,i,ivol,nz

      real v(3)

      n_inter_temp=0
      n_inter=0

      r=sqrt(x(1)**2+x(2)**2)
      
      if (par_vol(ivol,2).lt.359.0) then
         print *,'Fractions of pcon is not yet implemented !'
         print *,'in_pcon'
      endif
      
      if (abs(par_vol(ivol,3)*3+3-npar_vol(ivol)).gt.0.1) then
         print *,'Paramter counting is wrong!'
         print *,'in_pcon'
      endif

      nz=nint(par_vol(ivol,3))



      do 20,i=1,nz-1

        z1=par_vol(ivol,i*3+1)
        z2=par_vol(ivol,i*3+4)
        rmin1=par_vol(ivol,i*3+2)
        rmin2=par_vol(ivol,i*3+5)
        rmax1=par_vol(ivol,i*3+3)
        rmax2=par_vol(ivol,i*3+6)
        
        if (x(3).gt.min(z1,z2).and.x(3).lt.max(z1,z2)) then

          if (r.gt.((rmin1-rmin1)/(z1-z2))*(x(3)-z1)+rmin1.and.
     +        r.lt.((rmax1-rmax1)/(z1-z2))*(x(3)-z1)+rmax1) then
            in_pcon=.true.
            goto 999
          endif
        endif        
20    continue       


      in_pcon=.false.

999   continue

      return 

      end









