*
* $Id: klmn_save_smooth_par.F,v 1.2 1995/08/29 13:28:47 zfiles Exp $
*
* $Log: klmn_save_smooth_par.F,v $
* Revision 1.2  1995/08/29 13:28:47  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : klmn_save_smooth_par
C     Purpose : To save the smoothed trackparameter at
C               hit i.
C     
C
C     Modifications:
C
C
C
      subroutine klmn_save_smooth_par(i,eta,veta)

      implicit none

      integer i
      real eta(5)
      real*8 veta(5,5)

#include "klmn/klmnseq/cleofitcom.inc"
#include "klmn/klmnseq/mater_stop.inc"
#include "klmn/klmnseq/klmncm.inc"


      call ucopy(eta,eta_s(1,i),5)

      call ucopy(veta,veta_s(1,1,i),50)

      x_s(i)=x(i)
      y_s(i)=y(i)
      z_s(i)=0.0

      return

      end



