*
* $Id: transform_to_local_cham.F,v 1.2 1995/08/29 13:29:05 zfiles Exp $
*
* $Log: transform_to_local_cham.F,v $
* Revision 1.2  1995/08/29 13:29:05  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : transform_to_local_cham
C     Purpose : Transforms a global coordinate to a local 
C               coordinate for chamber i.
C     
C
C     Modifications:
C
C
C
      subroutine transform_to_local_cham(i,xg,xl)

      implicit none

      integer i

#include "klmn/klmnseq/chamber_n.inc"

      real xl(3),xg(3),xg_w(3)

      if (itrans_cham(i).eq.0) then
         xl(1)=xg(1)
         xl(2)=xg(2)
         xl(3)=xg(3)
         goto 999
      endif

      xg_w(1)=xg(1)-x_cham(1,i)
      xg_w(2)=xg(2)-x_cham(2,i)
      xg_w(3)=xg(3)-x_cham(3,i)

      xl(1)=
     + rot_cham(1,1,i)*xg_w(1)+rot_cham(2,1,i)*xg_w(2)+
     + rot_cham(3,1,i)*xg_w(3)

      xl(2)=
     + rot_cham(1,2,i)*xg_w(1)+rot_cham(2,2,i)*xg_w(2)+
     + rot_cham(3,2,i)*xg_w(3)

      xl(3)=
     + rot_cham(1,3,i)*xg_w(1)+rot_cham(2,3,i)*xg_w(2)+
     + rot_cham(3,3,i)*xg_w(3)

999   continue

      return

      end

