*
* $Id: klmnerror.inc,v 1.3 1996/03/12 14:20:01 zfiles Exp $
*
* $Log: klmnerror.inc,v $
* Revision 1.3  1996/03/12 14:20:01  zfiles
* Updates from Anders Ryd
*
* Revision 1.2  1995/08/29  13:29:40  zfiles
* Complete new set from Rob/Anders. Id and Log added
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : klmnerror.inc
C     Purpose : This common block is used to flag error conditions during 
C               a fit, which is a call the klmn_fit. The error conditions
C               are cleared in klmn_fit upon entry. 
C     
C
C     Modifications:
C
C
C
c
c


c      klmnerror_error is set .TRUE. if an error condition has 
c      occured during the fits. If klmnerror_error is set then
c      the output of the fit is meaningless and should not be 
c      used.

c      klmnerror_nr is a number of the error that caused the 
c      error flag to be set. 
c      klmnerror_nr=1   The abs(curvature) of the seed was larger
c                       then 14
c                  =2   The track started outside CLEO see 
c                       get_vol_num
c      


       logical klmnerror_error
       integer klmnerror_nr


       common /klmnerror_l/
     +         klmnerror_error(5)

       common /klmnerror_i/
     +         klmnerror_nr(5)






