*
* $Id: mater_stop.inc,v 1.2 1995/08/29 13:29:48 zfiles Exp $
*
* $Log: mater_stop.inc,v $
* Revision 1.2  1995/08/29 13:29:48  zfiles
* Complete new set from Rob/Anders. Id and Log added
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : mater_stop.inc
C     Purpose : This common block contains the information
C               about where to stop a fit. This information
C               is build in klmn_init
C
C     
C
C     Modifications:
C
C
C
C
C
C    next_type defines the next point
C             =0 meanas go to next measurement
C             >0 entry to next point to stop at
C             <0 has to be calculated (not implemented yet)
C    n_next_point number of points to stop at
C
C    max_stop is the maximum number of stops
C
C    x_stop_mat,y_stop_mater,z_stop_mater is the cordinates
C    to stop the fit at
c    x,y     x,y position to transport to. I.e. point to
c              describe the track at, the origin of the
c              local cordinate system. 

      integer max_stop 

      parameter (max_stop=100)

      integer next_type,n_next_point

      real    x_stop_mat,y_stop_mat,z_stop_mat,x,y

      common /mater_stop_i/
     +       next_type(max_point),n_next_point(max_point)

      common /mater_stop_r/
     +       x_stop_mat(max_stop),y_stop_mat(max_stop),
     +       z_stop_mat(max_stop),x(max_point),y(max_point)

    















