*
* $Id: add_vol.F,v 1.1 1995/09/05 13:18:52 zfiles Exp $
*
* $Log: add_vol.F,v $
* Revision 1.1  1995/09/05 13:18:52  zfiles
* New. Forgot to add before.
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : add_vol
C     Purpose : add the distance, s, transported through
C               in volume ivol
C     
C
C     Modifications:
C
C
C
      subroutine add_vol(ivol,s)

      implicit none

#include "klmn/klmnseq/chamber_n.inc"
#include "klmn/klmnseq/wafer_n.inc"
#include "klmn/klmnseq/vol.inc"
#include "klmn/klmnseq/mater_n.inc"

      real s
      integer ivol 
      integer imed


      if (ivol.gt.10000) then
        imed=mattype(vol_num_waf(ivol-10000))
      else
        imed=mattype(vol_num_cham(ivol))
      endif

 
      if (med_num_list(imed).eq.0) then
         nmed=nmed+1
         med_num_list(imed)=nmed
         nmed_in_list(nmater_n)=nmed
         med_list(nmed,nmater_n)=imed
         l_list_med(nmed,nmater_n)=s
      else
         l_list_med(med_num_list(imed),nmater_n)=      
     +     l_list_med(med_num_list(imed),nmater_n)+s
      endif


      return

      end
   
