*
* $Id: in_cham.F,v 1.2 1995/08/29 13:28:35 zfiles Exp $
*
* $Log: in_cham.F,v $
* Revision 1.2  1995/08/29 13:28:35  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : in_cham
C     Purpose : Trace a line through a volume
C     
C
C     Modifications:
C
C
C
      subroutine in_cham(cham_num,x1,x2,s_list,cham_num_list,nentry,
     +            n_entered,entered_list,s)

      implicit none

#include "klmn/klmnseq/chamber_n.inc"
#include "klmn/klmnseq/vol.inc"
#include "klmn/klmnseq/mater_n.inc"

      integer cham_num,cham_num_list(max_list_n),nentry
      integer n_entered,entered_list(max_list_n)

      real x1(3),x2(3),s_list(max_list_n),s

      integer in_out_list(10),i,n_entries_cham

      real    s_list_cham(10)

      call cham_int(cham_num,x1,x2,s_list_cham,in_out_list,
     +                          n_entries_cham)

      s=0.0

      if (n_entries_cham.gt.0) then
        n_entered=n_entered+1
        entered_list(n_entered)=cham_num
      endif

      do 10,i=1,n_entries_cham
         nentry=nentry+1
         s_list(nentry)=s_list_cham(i)
         if (in_out_list(i).eq.1) then
            cham_num_list(nentry)=cham_num
            s=s+1.0-s_list_cham(i)
            if (smax.le.s_list(nentry)) then
               smax=s_list(nentry)
               last_vol(nmater_n)=cham_num
            endif
         else
            cham_num_list(nentry)=parent_cham(cham_num)
            s=s-(1.0-s_list_cham(i))
            if (smax.le.s_list(nentry)) then
               smax=s_list(nentry)
               last_vol(nmater_n)=parent_cham(cham_num)
            endif
         endif
 10   continue
         
      if (s.lt.0.0) s=s+1.0

      return

      end


      











