*
* $Id: in_svx_vol.F,v 1.3 1995/08/29 17:35:17 zfiles Exp $
*
* $Log: in_svx_vol.F,v $
* Revision 1.3  1995/08/29 17:35:17  zfiles
* Compatibility with AIX
*
* Revision 1.2  1995/08/29  13:28:38  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : in_svx_vol
C     Purpose : Check if x is in wafer element iwaf.
C     
C
C     Modifications:
C
C
C

      logical function in_svx_vol(iwaf,x)

      implicit none

#include "klmn/klmnseq/wafer_n.inc"
#include "klmn/klmnseq/vol.inc"

      integer i,iwaf

      real x(3)

      real xl(3),rsq

      call transform_to_local(rot_waf(1,1,iwaf),
     +       x_waf(1,iwaf),x,xl) 

      i=vol_num_waf(iwaf)

      if (vol_is(i).eq.is_box) then

         in_svx_vol=(abs(xl(1)).lt.par_vol(i,1).and.
     +                 abs(xl(2)).lt.par_vol(i,2).and.
     +                 abs(xl(3)).lt.par_vol(i,3))

      elseif (vol_is(i).eq.is_tube) then

         rsq=xl(1)**2+xl(2)**2
         in_svx_vol=(rsq.gt.par_vol(i,1)**2).and.
     +               (rsq.lt.par_vol(i,2)**2)

      else

         print *,'wrong volume type in in_cham_vol'

      endif

      return

      end      




