*
* $Id: init_table.F,v 1.2 1995/08/29 13:28:41 zfiles Exp $
*
* $Log: init_table.F,v $
* Revision 1.2  1995/08/29 13:28:41  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : init_table
C     Purpose : initialize the table of distances
C     
C
C     Modifications:
C
C
C
      subroutine init_table

      implicit none

      integer i_phi,i_costheta

      real costheta,phi

#include "klmn/klmnseq/table.inc"
#include "klmn/klmnseq/cleofitcom.inc"
#include "klmn/klmnseq/klmn_par.inc"


      nphi=nphi_ptl
      ntheta=ntheta_ptl

      nlines=nphi*ntheta

      call vzero(dist_waf,max_lines*ntable_waf)
      call vzero(number_waf,max_lines*ntable_waf)

      do 10,i_phi=1,nphi

        phi_lines(i_phi)=klmn_twopi*(i_phi-0.5)/nphi

 10   continue

      return

      end
