*
* $Id: klmn_set_param.F,v 1.2 1995/09/05 20:46:22 zfiles Exp $
*
* $Log: klmn_set_param.F,v $
* Revision 1.2  1995/09/05 20:46:22  zfiles
* Added Id and Log.
*
*
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : klmn_setparam
C     Purpose : Set assorted parameters.
C               In the first version it just sets the magnetic field.
C     
C
C     Modifications:

      subroutine klmn_set_param ( b )
c
c Inputs:
c b - Magnitude of the magnetic field, in tesla.
c
c
       real b

#include "klmn/klmnseq/klmn_par.inc"

       klmn_bfield=b


c      Compute some derived constants.
       klmn_a=0.5*klmn_bfield*klmn_c

       return
       end


