*
* $Id: transform.F,v 1.2 1995/08/29 13:29:03 zfiles Exp $
*
* $Log: transform.F,v $
* Revision 1.2  1995/08/29 13:29:03  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : transform
C     Purpose : transforma local coordinate for wafer i
C               to the global coordinate system.
C     
C
C     Modifications:
C
C
C
      subroutine transform(i,xl,xg)

      implicit none

      integer i

#include "klmn/klmnseq/wafer_n.inc"

      real xl(3),xg(3)

      xg(1)=x_waf(1,i)+
     + rot_waf(1,1,i)*xl(1)+rot_waf(1,2,i)*xl(2)+
     + rot_waf(1,3,i)*xl(3)

      xg(2)=x_waf(2,i)+
     + rot_waf(2,1,i)*xl(1)+rot_waf(2,2,i)*xl(2)+
     + rot_waf(2,3,i)*xl(3)

      xg(3)=x_waf(3,i)+
     + rot_waf(3,1,i)*xl(1)+rot_waf(3,2,i)*xl(2)+
     + rot_waf(3,3,i)*xl(3)

      return

      end
