*
* $Id: mater_n.inc,v 1.2 1995/08/29 13:29:44 zfiles Exp $
*
* $Log: mater_n.inc,v $
* Revision 1.2  1995/08/29 13:29:44  zfiles
* Complete new set from Rob/Anders. Id and Log added
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : mater_n.inc
C     Purpose : List of materials encountered by a track.
C     
C
C     Modifications:
C
C
C
       INTEGER max_mater_n
       PARAMETER(max_mater_n=200)
       integer max_list_n
       parameter(max_list_n=400)

       integer nmater_n,mater_cham_list_n,n_in_list,imater_n
       integer last_vol,med_list,nmed_in_list
       integer nmed,med_num_list

       COMMON /mater_n_i/
     +        nmater_n,imater_n,
     +        mater_cham_list_n(max_list_n,max_mater_n),
     +        n_in_list(max_mater_n),
     +        last_vol(max_mater_n),
     +        med_list(50,max_mater_n),
     +        nmed_in_list(max_mater_n),
     +        nmed,med_num_list(50)

       REAL   x_mater_n,v_mater_n,x2_mater_n,
     +        s_list_mater_n,l_list_mater_n,
     +        l_list_med,smax

       COMMON /mater_n_r/
     +        x_mater_n(3,max_mater_n),v_mater_n(3,max_mater_n),
     +        x2_mater_n(3,max_mater_n),
     +        s_list_mater_n(max_list_n,max_mater_n),
     +        l_list_mater_n(max_list_n,max_mater_n),
     +        l_list_med(50,max_mater_n),smax

     




