*
* $Id: mater_prop.inc,v 1.2 1995/08/29 13:29:47 zfiles Exp $
*
* $Log: mater_prop.inc,v $
* Revision 1.2  1995/08/29 13:29:47  zfiles
* Complete new set from Rob/Anders. Id and Log added
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : mater_prop.inc
C     Purpose : Materials properties extracted from GEANT.
C     
C
C     Modifications:
C
C
C
       INTEGER MAX_mater_prop
       PARAMETER(MAX_mater_prop=20)

       integer num_mat

       COMMON /mater_prop_i/
     +         num_mat


       REAL mater_prop_a,mater_prop_z
       real mater_prop_dens,mater_prop_radl 
       real mater_prop_chc,elow_t
       real par_eloss
       real par_stopr
       real par_xcoef1
       real par_xcoef2
       real par_xcoef3
       

       common /mater_prop_r/
     +        mater_prop_a(max_mater_prop),
     +        mater_prop_z(max_mater_prop),
     +        mater_prop_dens(max_mater_prop),
     +        mater_prop_radl(max_mater_prop),
     +        mater_prop_chc(max_mater_prop),
     +        par_eloss(6,90,max_mater_prop),
     +        par_stopr(6,90,max_mater_prop),
     +        par_xcoef1(6,90,max_mater_prop),
     +        par_xcoef2(6,90,max_mater_prop),
     +        par_xcoef3(6,90,max_mater_prop),elow_t(90)
       
   

       character*20 mater_name

       COMMON /mater_prop_c/
     +         mater_name(max_mater_prop)






