*
* $Id: wafer_n.inc,v 1.2 1995/08/29 13:29:51 zfiles Exp $
*
* $Log: wafer_n.inc,v $
* Revision 1.2  1995/08/29 13:29:51  zfiles
* Complete new set from Rob/Anders. Id and Log added
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : wafer_n.inc
C     Purpose : Common block that defines the volumes 
C               that are used in the fit. This is extracted      
C               from CLEOG.
C     
C
C     Modifications:
C
C
C

c      maximum number of allowed volumes

       integer max_waf
       parameter(max_waf=1600)


       integer nwaf,vol_num_waf,level_waf,n_daugther_waf,
     +         daugther_waf,parent_waf

       common /wafer_i/
     +         nwaf,
     +         vol_num_waf(max_waf),
     +         level_waf(max_waf),
     +         n_daugther_waf(max_waf),
     +         daugther_waf(max_waf),
     +         parent_waf(max_waf)



       real x_waf,rot_waf,rmin_waf,rmax_waf
       real phimin_waf,phimax_waf,zmin_waf,zmax_waf

       COMMON /wafer_r/
     +         x_waf(3,max_waf),rot_waf(3,3,max_waf),
     +         rmin_waf(max_waf),rmax_waf(max_waf),
     +         phimin_waf(max_waf),phimax_waf(max_waf),
     +         zmin_waf(max_waf),zmax_waf(max_waf)

       character*4 name_waf

       COMMON /wafer_c/
     +         name_waf(max_waf)











